function [] = tableSoundsourceCombinationsEdit(~, ~)
%TABLESOUNDSOURCECOMBINATIONSEDIT Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Save previous state of last backward tracking
previousBackward = artoaWorkspace.trackParameter.soundsourceCombinations.backwardTracking(end);

%% Save all details
artoaWorkspace.trackParameter.soundsourceCombinations = ...
    artoa.controller.track.parameter.createCombinationsTable( ...
    artoaGui.trackParameter.tableSoundSourceCombinations.Data ...
);

%% Update reference position if backward tracking is enabled for the last combination
if artoaWorkspace.trackParameter.soundsourceCombinations.backwardTracking(end) ...
        && isempty(artoaWorkspace.trackParameter.soundsourceCombinations.referencePosition{end})
    artoaWorkspace.trackParameter.soundsourceCombinations.referencePosition{end} = ...
        [num2str(artoaWorkspace.satData.lat_sat(end)) ' ' num2str(artoaWorkspace.satData.lon_sat(end))];
    artoa.controller.track.parameter.updateGui();
elseif previousBackward & ~artoaWorkspace.trackParameter.soundsourceCombinations.backwardTracking(end)
    artoaWorkspace.trackParameter.soundsourceCombinations.referencePosition{end} = '';
    artoa.controller.track.parameter.updateGui();
end


end

