function [maxVersion] = getLatestVersionNumber()
%GETLATESTVERSIONNUMBER Summary of this function goes here
%   Detailed explanation goes here


%% Get all migration versions
[versionsFilePath, ~, ~] = fileparts(mfilename('fullpath'));
versionsFileNames = dir(fullfile(versionsFilePath, 'versions', 'v*.m'));

%% Extract version numbers
versions = {versionsFileNames(:).name};
versions = str2double(cellfun(@(x) x(3:end-2), versions, 'UniformOutput', false));

maxVersion = max(versions);

end

