function [] = open(~, ~)
%OPENEDITTEMPERATURE Initializes the pressure editing gui.
%   Detailed explanation goes here

global artoaGui;

%% Check if the gui is already opened

if isfield(artoaGui.figures, 'showSatfixEtaToToa')
    figure(artoaGui.figures.satfixEtaToToa);
    return
end


callbacks.CloseRequestFcn = @artoa.controller.show.satfixEtaToToa.close;

%% Open the gui
artoa.gui.show.satfixEtaToToa(callbacks);

end

